## gpp4 1.3.1

=== debian/changelog ===
gpp4 (1.3.1-0ubuntu10) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:04:31 +0100

gpp4 (1.3.1-0ubuntu9) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:20:19 +0000

gpp4 (1.3.1-0ubuntu8) cosmic; urgency=medium

  * Convert to package version 3.0.
  * Bump standards and debhelper versions.
  * Don't hard-code shared library dependencies.
  * Build-depend on libmmdb2-dev instead of libmmdb-dev.
  * Update symbols files.
  * Build using mmdb2.
  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 May 2018 11:51:18 -0400

gpp4 (1.3.1-0ubuntu7) cosmic; urgency=medium

  * Hard-code libmmdb2-0 as a dependency instead of libmmdb0. Why?

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 May 2018 00:02:33 +0200

gpp4 (1.3.1-0ubuntu6) cosmic; urgency=medium

  * No-change rebuild for mmdb soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 May 2018 19:48:10 +0000

gpp4 (1.3.1-0ubuntu5) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:18:37 +0000

gpp4 (1.3.1-0ubuntu4) trusty; urgency=medium

  * Manually patch libtool.m4/configure files to add support for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 04 Feb 2014 20:07:14 -0500

gpp4 (1.3.1-0ubuntu3) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 09 Jan 2014 15:23:50 -0500

gpp4 (1.3.1-0ubuntu2) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:20:34 +0000

gpp4 (1.3.1-0ubuntu1) natty; urgency=low

  * New upstream release 1.3.1, fixes at least one serious issue.
  * Patches from previous release incorporated upstream.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Tue, 22 Feb 2011 10:56:03 +0100

gpp4 (1.3.0-0ubuntu1) natty; urgency=low

  * New upstream release 1.3.0
  * debian/control: Add ${misc:Depends}, bump standards-version
  * Patched to address various compiler warnings.
  
 -- Morten Kjeldgaard <mok0@ubuntu.com>  Tue, 11 Jan 2011 13:47:36 +0100

gpp4 (1.2.1-0ubuntu1) lucid; urgency=low

  * New upstream release 1.2.1.
  * Packaging moved to bzr, added Vcs-Bzr: line to
    debian/control.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Mon, 25 Jan 2010 19:33:04 +0100

gpp4 (1.2.0-0ubuntu1) lucid; urgency=low

  * New upstream version 1.2.0.
  * New binary packages added to isolate the mmdb dependency in the 
    Fortran API libraries.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Mon, 09 Nov 2009 16:41:48 +0100

gpp4 (1.1.0-0ubuntu2) karmic; urgency=low

  * debian/control: Homepage updated
  * debian/watch: Use new Launchpad project download.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Tue, 08 Sep 2009 12:41:59 +0200

gpp4 (1.1.0-0ubuntu1) jaunty; urgency=low

  * New upstream version (LP: #322205)
  * Some compilation warnings fixed, patch 01-ubuntu-fixes
    sent upstream.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Wed, 03 Dec 2008 11:21:42 +0100

gpp4 (1.0.4-0ubuntu4) jaunty; urgency=low

  * FTBFS error on the ARMEL platform fixed
  * Bumped standards version to 3.8.0

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Mon, 01 Dec 2008 13:39:16 +0100

gpp4 (1.0.4-0ubuntu3) hardy; urgency=low

  * FTBFS error on the hppa platform fixed (LP: #193289)

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Tue, 19 Feb 2008 15:32:00 +0100

gpp4 (1.0.4-0ubuntu2) hardy; urgency=low

  * Removed dependency to non-existent package libgpp4-data (LP: #186393)

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Sun, 27 Jan 2008 18:12:07 +0100

gpp4 (1.0.4-0ubuntu1) hardy; urgency=low

  * Initial release (LP: #176209)

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Thu, 10 Jan 2008 00:06:26 +0100
