=== debian/control ===
Source: gpp4
Section: science
Priority: optional
Maintainer: Morten Kjeldgaard <mok0@ubuntu.com>
Homepage: https://launchpad.net/gpp4
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, 
 libmmdb2-dev, gfortran, m4
Build-Depends-Indep: doxygen
Standards-Version: 4.1.4
Vcs-Bzr: http://bazaar.launchpad.net/~mok0/gpp4/ubuntu

Package: libgpp4-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: runtime library for CCP4 compatible programs
 The goal of the ggp4 project is to provide a standalone replacement for
 the CCP4 library for macromolecular crystallography. The library performs
 a number of common tasks in standardized manner. These tasks include file
 opening, parsing keyworded input, and reading and writing of standard data
 formats for electron density maps and X-Ray diffraction data. Programs may
 call this library to ensure compatibility with the CCP4 program suite, as
 well as a similar look-and-feel.
 .
 This package provides a shared library needed to run programs that
 have been linked to libgpp4.so.

Package: libgpp4-dev
Section: libdevel
Architecture: any
Suggests: libgpp4-doc
Depends: libgpp4-0 (= ${binary:Version}), ${misc:Depends}
Description: development environment for CCP4 compatible programs
 The goal of the ggp4 project is to provide a standalone replacement for
 the CCP4 library for macromolecular crystallography. The library performs
 a number of common tasks in standardized manner. These tasks include file
 opening, parsing keyworded input, and reading and writing of standard data
 formats for electron density maps and X-Ray diffraction data. Programs may
 call this library to ensure compatibility with the CCP4 program suite, as
 well as a similar look-and-feel.
 .
 This package provides header files and library for developing free
 CCP4 compatible programs.

Package: libgpp4f-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgpp4-0 (= ${binary:Version}), ${misc:Depends}
Description: shared library for CCP4 compatible programs
 The goal of the ggp4 project is to provide a standalone replacement for
 the CCP4 library for macromolecular crystallography. The library performs
 a number of common tasks in standardized manner. These tasks include file
 opening, parsing keyworded input, and reading and writing of standard data
 formats for electron density maps and X-Ray diffraction data. Programs may
 call this library to ensure compatibility with the CCP4 program suite, as
 well as a similar look-and-feel.
 .
 This package provides a shared library needed to run programs that
 make use of libgpp4's FORTRAN API.

Package: libgpp4f-dev
Section: libdevel
Architecture: any
Suggests: libgpp4-doc
Depends: libgpp4-0 (= ${binary:Version}), libgpp4f-0 (= ${binary:Version}), ${misc:Depends}
Description: development environment for CCP4 compatible programs
 The goal of the ggp4 project is to provide a standalone replacement for
 the CCP4 library for macromolecular crystallography. The library performs
 a number of common tasks in standardized manner. These tasks include file
 opening, parsing keyworded input, and reading and writing of standard data
 formats for electron density maps and X-Ray diffraction data. Programs may
 call this library to ensure compatibility with the CCP4 program suite, as
 well as a similar look-and-feel.
 .
 This package provides the FOTRAN API library for developing free
 CCP4 compatible programs.

Package: libgpp4-doc
Section: doc
Architecture: all
Suggests: www-browser
Depends: ${misc:Depends}
Enhances: libgpp4-dev
Description: doxygen generated documentation for libgpp4
 The goal of the ggp4 project is to provide a standalone replacement for
 the CCP4 library for macromolecular crystallography. The library performs
 a number of common tasks in standardized manner. These tasks include file
 opening, parsing keyworded input, and reading and writing of standard data
 formats for electron density maps and X-Ray diffraction data. Programs may
 call this library to ensure compatibility with the CCP4 program suite, as
 well as a similar look-and-feel.
 .
 This package provides doxygen generated documentation for the library.
