=== debian/watch ===
version=3
https://launchpad.net/gpp4/+download http://launchpad.net/gpp4/.*/gpp4-([\.\d]*).tar.gz
